@ECHO OFF

IF EXIST fltsim98.exe GOTO START

CLS
ECHO.
ECHO.
ECHO.
ECHO Improper installation detected. FSClouds needs to be installed into your 
ECHO Flight Simulator 98 root directory (C:\FLIGHT SIMULATOR for example) 
ECHO.    
ECHO Please run Setup again.    
ECHO.
ECHO For more more detailed instructions please read the included documentation.
ECHO.
PAUSE
GOTO END
:START 
IF EXIST FSCLOUD\light.cld GOTO UNIST
GOTO INSTALL2
:UNIST
CLS
ECHO.
ECHO.
ECHO.
ECHO Setup detects that you have not uninstalled a previous installation
ECHO of FSClouds Pro. We will now uninstall the the necessary FSCloud
ECHO components and restore needed backups to allow for a clean re-installation.  
ECHO.
ECHO During Reinstall select "YES" if prompted to overwrite old files.
echo.
PAUSE
CLS
ECHO One moment while files are processed...
COPY TEXTURE\*.FBK TEXTURE\*.R8 >NUL
COPY TEXTURE\CLOUDS.BAK TEXTURE\CLOUDS.R8 >NUL
COPY TEXTURE\STORMY.BAK TEXTURE\STORMY.R8 >NUL
COPY TEXTURE\WATER.WBK TEXTURE\WATER.R8 >NUL
COPY TEXTURE\*.0BK TEXTURE\*.0 >NUL
COPY TEXTURE\*.1BK TEXTURE\*.1 >NUL
DELTREE /Y FSCLOUD >NUL
IF EXIST scenery\europe1\texture\eur1_012.fbk GOTO UNEURO
GOTO EURO2
:UNEURO
COPY SCENERY\EUROPE1\TEXTURE\*.FBK SCENERY\EUROPE1\TEXTURE\*.EU1 >NUL
:EURO2
IF EXIST scenery\europe2\texture\eur2_012.fbk GOTO UNEURO2
GOTO INSTALL2
:UNEURO2
COPY SCENERY\EUROPE2\TEXTURE\*.FBK SCENERY\EUROPE2\TEXTURE\*.EU2 >NUL
:INSTALL2
IF EXIST UN_FSC.BAT DEL UN_FSC.BAT >NUL
IF EXIST SETSIT.EXE DEL SETSIT.EXE >NUL
IF EXIST SAMPHOTO.EXE DEL SAMPHOTO.EXE >NUL
IF EXIST SAM.BAT DEL SAM.BAT >NUL
IF EXIST SAMEDIT.EXE DEL SAMEDIT.EXE >NUL

IF EXIST _disk1a.fsc DEL _DISK1A.FSC >NUL
IF EXIST fsc98.doc DEL FSC98.DOC >NUL
IF EXIST trouble.doc DEL TROUBLE.DOC >NUL
IF EXIST fsclouds.dll DEL fsclouds.dll >NUL

REN DISK98.FSC DISK98.EXE >NUL
DISK98
MD FSCLOUD 
CLS
ECHO Please wait while Setup makes all file adjustments and backups...
ECHO.
ECHO No permanent changes are being made to Flight Simulator.
if exist adv\nul goto adv
MD ADV
MD ADV\WAV
:ADV
MOVE THUNDER1.WAV ADV\WAV >NUL
MOVE THUNDER2.WAV ADV\WAV >NUL
MOVE THUNDER3.WAV ADV\WAV >NUL
MOVE THUNDER.ADV ADV >NUL
MOVE LIGHTE.ADV ADV >NUL
MOVE LIGHTW.ADV ADV >NUL
MOVE LIGHTEUR.ADV ADV >NUL

MOVE *.STN PILOTS >NUL
MOVE *.CLD FSCLOUD >NUL
MOVE *.CL1 FSCLOUD >NUL
MOVE *.CL2 FSCLOUD >NUL
MOVE *.NR8 FSCLOUD >NUL
MOVE *.WR8 FSCLOUD >NUL
MOVE *.ER8 FSCLOUD >NUL
MOVE *.SR8 FSCLOUD >NUL
MOVE *.FR8 FSCLOUD >NUL
MOVE *.UR8 FSCLOUD >NUL
MOVE *.BR8 FSCLOUD >NUL 
rem MOVE TROUBLE.DOC FSCLOUD >NUL
MOVE LIGHTN.FSC FSCLOUD >NUL
MOVE RESET.BAT FSCLOUD >NUL

IF EXIST MODULES\fs6ipc.dll GOTO YESIPC
COPY FS6IPC.DLL MODULES >NUL
:YESIPC
DEL FS6IPC.DLL >NUL

COPY FSCLOUD\*.CL1 FSCLOUD\*.CLD >NUL
COPY TEXTURE\*.0 TEXTURE\*.0BK >NUL
COPY TEXTURE\*.1 TEXTURE\*.1BK >NUL
COPY TEXTURE\WATER.R8 TEXTURE\WATER.WBK >NUL
COPY WATER.R8 FSCLOUD >NUL
COPY *.0 FSCLOUD >NUL
MOVE WATER.R8 TEXTURE >NUL 
MOVE *.0 TEXTURE >NUL
COPY TEXTURE\WATER.R8 TEXTURE\COAST0.0 >NUL
COPY TEXTURE\*.0 TEXTURE\*.1 >NUL
COPY FSCLOUD\CIR.CLD FSCLOUD\CIRRUS.CLD >NUL
COPY TEXTURE\CLOUDS.R8 TEXTURE\CLOUDS.BAK >NUL
COPY TEXTURE\STORMY.R8 TEXTURE\STORMY.BAK >NUL
COPY FSCLOUD\STORM.CLD TEXTURE\STORMY.R8 >NUL
COPY FSCLOUD\ARID.WR8 FSCLOUD\PRARIEF.WR8 >NUL
COPY FSCLOUD\ARID.NR8 FSCLOUD\PRARIEF.NR8 >NUL
COPY FSCLOUD\ICE.NR8 FSCLOUD\ICE.WR8 >NUL
COPY FSCLOUD\MEDCITY.WR8 FSCLOUD\HIRISE.WR8 >NUL
COPY FSCLOUD\GRASS.WR8 FSCLOUD\ARROYO.WR8 >NUL
COPY FSCLOUD\GRASS.NR8 FSCLOUD\RUNWAY03.NR8 >NUL
COPY FSCLOUD\RUNWAY00.NR8 FSCLOUD\ARROYO.NR8 >NUL
COPY FSCLOUD\RUNWAY01.WR8 FSCLOUD\RUNWAY02.WR8 >NUL
COPY FSCLOUD\ICE.NR8 FSCLOUD\DESERT.WR8 >NUL
COPY FSCLOUD\TUNDRA.WR8 FSCLOUD\RUNWAY00.WR8 >NUL
COPY FSCLOUD\TUNDRA.WR8 FSCLOUD\RUNWAY03.WR8 >NUL
COPY FSCLOUD\NEEDLE.WR8 FSCLOUD\BROADW.WR8 >NUL
COPY FSCLOUD\CROPS.WR8 FSCLOUD\CROPSW.WR8 >NUL
COPY FSCLOUD\GRASS.WR8 FSCLOUD\GRASSW.WR8 >NUL
COPY FSCLOUD\GRASS.WR8 FSCLOUD\GRASSF.WR8 >NUL
COPY FSCLOUD\PARK.WR8 FSCLOUD\PARKW.WR8 >NUL
COPY FSCLOUD\PARK.WR8 FSCLOUD\PARKF.WR8 >NUL
COPY FSCLOUD\FARM.WR8 FSCLOUD\FARMW.WR8 >NUL
COPY FSCLOUD\FARM.WR8 FSCLOUD\PRARIEW.WR8 >NUL
COPY FSCLOUD\TUNDRA.WR8 FSCLOUD\TUNDRAW.WR8 >NUL
COPY FLTSIM98.CFG FS98CFG.BAK >NUL
COPY FLTSIM98.CFG FSCLOUD\FS6CFG.FSC >NUL   
COPY TEXTURE\ARROYO.R8 TEXTURE\ARROYO.FBK >NUL
COPY TEXTURE\ARID.R8 TEXTURE\ARID.FBK >NUL
COPY TEXTURE\ARID_M.R8 TEXTURE\ARID_M.FBK >NUL
COPY TEXTURE\BROAD.R8 TEXTURE\BROAD.FBK >NUL


COPY TEXTURE\BROAD_M.R8 TEXTURE\BROAD_M.FBK >NUL
COPY TEXTURE\BROADW_M.R8 TEXTURE\BROADW_M.FBK >NUL

COPY TEXTURE\BROADW.R8 TEXTURE\BROADW.FBK >NUL
COPY TEXTURE\BURB.R8 TEXTURE\BURB.FBK >NUL
COPY TEXTURE\BURB2.R8 TEXTURE\BURB2.FBK >NUL
COPY TEXTURE\BURB3.R8 TEXTURE\BURB3.FBK >NUL
COPY TEXTURE\CITY.R8 TEXTURE\CITY.FBK >NUL
COPY TEXTURE\CONCRETE.R8 TEXTURE\CONCRETE.FBK >NUL
COPY TEXTURE\CROPS.R8 TEXTURE\CROPS.FBK >NUL

COPY TEXTURE\CROP_M.R8 TEXTURE\CROP_M.FBK >NUL
COPY TEXTURE\CROPS_M.R8 TEXTURE\CROPS_M.FBK >NUL
COPY TEXTURE\CROPSW_M.R8 TEXTURE\CROPSW_M.FBK >NUL

COPY TEXTURE\CROPSW.R8 TEXTURE\CROPSW.FBK >NUL
COPY TEXTURE\DESERT.R8 TEXTURE\DESERT.FBK >NUL
COPY TEXTURE\FARM.R8 TEXTURE\FARM.FBK >NUL
COPY TEXTURE\FARMW.R8 TEXTURE\FARMW.FBK >NUL
COPY TEXTURE\GRASS.R8 TEXTURE\GRASS.FBK >NUL
COPY TEXTURE\GRASSW.R8 TEXTURE\GRASSW.FBK >NUL
COPY TEXTURE\GRASSF.R8 TEXTURE\GRASSF.FBK >NUL
COPY TEXTURE\HIRISE.R8 TEXTURE\HIRISE.FBK >NUL
COPY TEXTURE\ICE.R8 TEXTURE\ICE.FBK >NUL    

COPY TEXTURE\ICE_M.R8 TEXTURE\ICE_M.FBK >NUL

COPY TEXTURE\LAKE.R8 TEXTURE\LAKE.FBK >NUL
COPY TEXTURE\MEDCITY.R8 TEXTURE\MEDCITY.FBK >NUL
COPY TEXTURE\MEDRISE.R8 TEXTURE\MEDRISE.FBK >NUL
COPY TEXTURE\PARK.R8 TEXTURE\PARK.FBK >NUL
COPY TEXTURE\PARKW.R8 TEXTURE\PARKW.FBK >NUL
COPY TEXTURE\PARKF.R8 TEXTURE\PARKF.FBK >NUL
COPY TEXTURE\PRARIE.R8 TEXTURE\PRARIE.FBK >NUL
COPY TEXTURE\PRARIEF.R8 TEXTURE\PRARIEF.FBK >NUL
COPY TEXTURE\PRARIEW.R8 TEXTURE\PRARIEW.FBK >NUL

COPY TEXTURE\PRAIR_M.R8 TEXTURE\PRAIR_M.FBK >NUL
COPY TEXTURE\PRAIRW_M.R8 TEXTURE\PRAIRW_M.FBK >NUL

COPY TEXTURE\RUNWAY00.R8 TEXTURE\RUNWAY00.FBK >NUL
COPY TEXTURE\RUNWAY01.R8 TEXTURE\RUNWAY01.FBK >NUL
COPY TEXTURE\RUNWAY02.R8 TEXTURE\RUNWAY02.FBK >NUL
COPY TEXTURE\RUNWAY03.R8 TEXTURE\RUNWAY03.FBK >NUL
COPY TEXTURE\NEEDLE.R8 TEXTURE\NEEDLE.FBK >NUL

COPY TEXTURE\NEEDLE_M.R8 TEXTURE\NEEDLE_M.FBK >NUL
COPY TEXTURE\NEDL_W_M.R8 TEXTURE\NEDL_W_M.FBK >NUL

COPY TEXTURE\SWAMP_M.R8 TEXTURE\SWAMP_M.FBK >NUL

COPY TEXTURE\TROP_M.R8 TEXTURE\TROP_M.FBK >NUL

COPY TEXTURE\SWAMP.R8 TEXTURE\SWAMP.FBK >NUL
COPY TEXTURE\TROP.R8 TEXTURE\TROP.FBK >NUL
COPY TEXTURE\TUNDRA.R8 TEXTURE\TUNDRA.FBK >NUL
COPY TEXTURE\TUNDRAW.R8 TEXTURE\TUNDRAW.FBK >NUL
COPY TEXTURE\URBAN.R8 TEXTURE\URBAN.FBK >NUL
COPY TEXTURE\URBBURB.R8 TEXTURE\URBBURB.FBK >NUL
IF EXIST scenery\europe1\texture\eur1_012.eu1 GOTO YS
IF EXIST scenery\europe2\texture\eur2_012.eu2 GOTO YS2
GOTO EXIT
:YS
COPY SCENERY\EUROPE1\TEXTURE\EUR1_012.EU1 SCENERY\EUROPE1\TEXTURE\EUR1_012.FBK >NUL 
COPY SCENERY\EUROPE1\TEXTURE\EUR1_020.EU1 SCENERY\EUROPE1\TEXTURE\EUR1_020.FBK >NUL 
COPY SCENERY\EUROPE1\TEXTURE\EUR1_054.EU1 SCENERY\EUROPE1\TEXTURE\EUR1_054.FBK >NUL 
COPY SCENERY\EUROPE1\TEXTURE\EUR1_056.EU1 SCENERY\EUROPE1\TEXTURE\EUR1_056.FBK >NUL 
COPY SCENERY\EUROPE1\TEXTURE\EUR1_058.EU1 SCENERY\EUROPE1\TEXTURE\EUR1_058.FBK >NUL 
COPY SCENERY\EUROPE1\TEXTURE\EUR1_060.EU1 SCENERY\EUROPE1\TEXTURE\EUR1_060.FBK >NUL 
COPY SCENERY\EUROPE1\TEXTURE\EUR1_062.EU1 SCENERY\EUROPE1\TEXTURE\EUR1_062.FBK >NUL 
COPY SCENERY\EUROPE1\TEXTURE\EUR1_066.EU1 SCENERY\EUROPE1\TEXTURE\EUR1_066.FBK >NUL 
COPY SCENERY\EUROPE1\TEXTURE\EUR1_068.EU1 SCENERY\EUROPE1\TEXTURE\EUR1_068.FBK >NUL 
IF EXIST scenery\europe2\texture\eur2_012.eu2 GOTO YS2
GOTO EXIT  
:YS2
COPY SCENERY\EUROPE2\TEXTURE\EUR2_012.EU2 SCENERY\EUROPE2\TEXTURE\EUR2_012.FBK >NUL 
COPY SCENERY\EUROPE2\TEXTURE\EUR2_013.EU2 SCENERY\EUROPE2\TEXTURE\EUR2_013.FBK >NUL 
COPY SCENERY\EUROPE2\TEXTURE\EUR2_014.EU2 SCENERY\EUROPE2\TEXTURE\EUR2_014.FBK >NUL 
COPY SCENERY\EUROPE2\TEXTURE\EUR2_017.EU2 SCENERY\EUROPE2\TEXTURE\EUR2_017.FBK >NUL 
COPY SCENERY\EUROPE2\TEXTURE\EUR2_018.EU2 SCENERY\EUROPE2\TEXTURE\EUR2_018.FBK >NUL 
COPY SCENERY\EUROPE2\TEXTURE\EUR2_020.EU2 SCENERY\EUROPE2\TEXTURE\EUR2_020.FBK >NUL 
COPY SCENERY\EUROPE2\TEXTURE\EUR2_023.EU2 SCENERY\EUROPE2\TEXTURE\EUR2_023.FBK >NUL 
COPY SCENERY\EUROPE2\TEXTURE\EUR2_029.EU2 SCENERY\EUROPE2\TEXTURE\EUR2_029.FBK >NUL 
COPY SCENERY\EUROPE2\TEXTURE\EUR2_030.EU2 SCENERY\EUROPE2\TEXTURE\EUR2_030.FBK >NUL
COPY SCENERY\EUROPE2\TEXTURE\EUR2_032.EU2 SCENERY\EUROPE2\TEXTURE\EUR2_032.FBK >NUL 
COPY SCENERY\EUROPE2\TEXTURE\EUR2_045.EU2 SCENERY\EUROPE2\TEXTURE\EUR2_045.FBK >NUL 
COPY SCENERY\EUROPE2\TEXTURE\EUR2_046.EU2 SCENERY\EUROPE2\TEXTURE\EUR2_046.FBK >NUL 
COPY SCENERY\EUROPE2\TEXTURE\EUR2_051.EU2 SCENERY\EUROPE2\TEXTURE\EUR2_051.FBK >NUL 
:EXIT

REM New 98 stuff
COPY FSCLOUD\CROPSW_M.WR8 FSCLOUD\CROP_M.WR8 >NUL
COPY FSCLOUD\CROPSW_M.WR8 FSCLOUD\CROPS_M.WR8 >NUL
COPY FSCLOUD\BROAD_M.WR8 FSCLOUD\BROADW_M.WR8 >NUL
COPY FSCLOUD\NEDL_W_M.WR8 FSCLOUD\NEEDLE_M.WR8 >NUL
COPY FSCLOUD\PRAIRW_M.WR8 FSCLOUD\PRAIR_M.WR8 >NUL
MOVE BROAD.1R8 FSCLOUD\BROAD.NR8 >NUL
MOVE NEEDLE.1R8 FSCLOUD\NEEDLE.NR8 >NUL
 

REM SAM INSTALL BEGINS HERE
if exist sam\nul goto ysam
MD SAM
:ysam
MOVE *.SAM SAM >NUL
MOVE SAM.SET FSCLOUD >NUL
COPY *.BMF SAM\*.BMP >NUL
DEL *.BMF >NUL

:EXIT2
DEL DISK98.EXE >NUL
CLS
ECHO.
ECHO.
ECHO.
ECHO. 
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO                 FSClouds & Textures Pro Installation Complete!
ECHO.
ECHO A shortcut to SAM.EXE should now appear on your desktop. Just double click
ECHO this to start SAM. If you have any problems please read TROUBLE.DOC.
ECHO.    
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
PAUSE
:END
CLS
